package com.yami.shop.service.hb;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yami.shop.bean.dto.hb.StoreRegister;
import com.yami.shop.bean.model.ShopDetail;
import com.yami.shop.common.util.PageParam;
import com.yami.shop.common.util.hb.HBR;

import java.util.List;

/**
 * 门店管理服务接口
 *
 * @author fubojin
 * @version 1.0.0
 * @since 2025-09-1
 */
public interface IStoreManagementService {


    /**
     * 查询配送费模板查询接口
     */
    void shippingTemplate();

    /**
     * 门店注册
     *
     * @param registerRequest 门店注册请求
     * @return 门店注册响应
     */
    HBR registerStore(JSONObject registerRequest);

    /**
     * 门店变更
     *
     * @param registerRequest 门店变更请求
     * @return 门店变更响应
     */
    HBR updateRegisterStore(JSONObject registerRequest);



    /**
     * 获取门店列表
     *
     * @return 门店列表
     */
    List<ShopDetail> list(ShopDetail shopDetail);

    /**
     * 获取门店详情
     *
     * @param id 门店ID
     * @return 门店详情
     */
    ShopDetail detail(Long id);

    /**
     * 获取门店列表
     * @param shopDetail 查询参数
     * @param page 分页参数
     * @return 门店列表
     */
    IPage<ShopDetail> page(ShopDetail shopDetail, PageParam<ShopDetail> page);

    /**
     * 更改门店状态
     */
    void updateStatus(JSONObject HBRequest);
}
